For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETRetrieve employer quote
      • GETList all employer quotes
      • GETRetrieve an employer policy
      • GETList all employer policies
      • GETRetrieve an employee offer
      • GETList all employee offers
      • GETList all employee policies
      • GETRetrieve an employee policy
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceHealth Insurance

Retrieve an employee offer

GET
/employees/:employee_id/health_insurance/offers/:employee_offer_id
GET
/employees/:employee_id/health_insurance/offers/:employee_offer_id
$curl https://test.api.kota.io/employees/ee_3b1333d87d9d4fd6ad83ba7f6b0e951a/health_insurance/offers/eeho_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "eeho_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "status": "action_required",
6 "coverage_level": {
7 "plan_id": "pl_3b1333d87d9d4fd6ad83ba7f6b0e951a",
8 "plan_name": "Comprehensive Health Plan",
9 "plan_currency": "eur",
10 "provider_name": "Global Health Insurance Co.",
11 "provider_logo_url": "https://globalhealth.example.com/assets/logo.png",
12 "documents": [
13 {
14 "title": "Insurance Product Information Document",
15 "link": "https://globalhealth.example.com/docs/product-info.pdf"
16 }
17 ]
18 },
19 "object": "employee_health_insurance_offer",
20 "required_action": {
21 "reason": "Missing documents",
22 "reason_description": "Please submit your proof of address and identification documents to proceed with the insurance offer.",
23 "code": "submit_documents",
24 "due_at": "2024-12-01"
25 }
26}

Retrieve group’s health insurance offer for an employee by employee_offer_id.

Previous

List all employer policies

Next

List all employee offers

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employee_idstringRequiredformat: "ee_.+"
employee_offer_idstringRequiredformat: "eeho_.+"

Response

OK
idstringformat: "eeho_.+"
Unique identifier for offer
employer_idstringformat: "er_.+"
The Id of the employer for which the offer is available
employee_idstringformat: "ee_.+"
The Id of the employee for which the offer is available
statusenum
Current status of offer
Allowed values:
coverage_levelobject
Details about the coverage level for the offer. Only a single level of cover is available for a specific employee!
objectstringRead-only
The object type
external_customer_idstring or null

A unique identifier assigned by the Employer of Record (EoR) platform to the Customer (i.e. the company using the EoR service) for which the employee is employed. This ID groups employees under this Customer, enabling the aggregation of contribution reporting and other values per Customer rather than per legal entity. This parameter is only available to EoR platforms.

required_actionobject

Required action to progress the offer, if any. Set only when status is action_required.

Errors

404
Not Found Error